org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcQuery

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcQuery

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcQuery
    extends Object
    implements JdbcRawBinarylizable

JDBC SQL query with parameters.

### Constructor Summary

Constructors
Constructor and Description
`JdbcQuery()` Default constructor is used for serialization.
`JdbcQuery(String sql, Object[] args)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object[]` `args()`
`void` `readBinary(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)` Reads fields from provided reader.
`String` `sql()`
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer, JdbcProtocolContext protoCtx)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcQuery

    public JdbcQuery()

Default constructor is used for serialization.

#### JdbcQuery

    public JdbcQuery(String sql,
                     Object[] args)

Parameters:
  `sql` - Query SQL.
  `args` - Arguments.

### Method Detail

#### sql

    public String sql()

Returns:
  Query SQL string.

#### args

    public Object[] args()

Returns:
  Query arguments.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer,
                            JdbcProtocolContext protoCtx)

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `writer` - Binary object writer.
  `protoCtx` - JDBC protocol context.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader,
                           JdbcProtocolContext protoCtx)

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `reader` - Binary object reader.
  `protoCtx` - JDBC protocol context.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022